//
//  CrapsModel.h
//  Craps
//
//  Created by Rich on 1/19/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface CrapsModel : NSObject {
@private
	int die1, die2;
	int point;
	int ante;
	int balance;

	BOOL won;
	BOOL lost;
}

- (void)playTurn;
- (void)reset;

@property (readonly) int balance;
@property (readonly) int point;
@property int ante;

@property (readonly) BOOL won;
@property (readonly) BOOL lost;
@property (readonly) BOOL bankrupt;

@property (readonly) NSArray* dice;

@end
