//
//  CrapsViewController.h
//  Craps
//
//  Created by Rich on 1/19/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CrapsModel.h"

@interface CrapsViewController : UIViewController {
	UILabel* balanceLabel;
	
	UILabel* totalLabel;
	UILabel* pointLabel;

	UILabel* dieLabel1;
	UILabel* dieLabel2;

	UILabel* anteLabel;
	UISlider* anteSlider;
	
	CrapsModel* model;
}


@property (retain) IBOutlet UILabel* balanceLabel;
@property (retain) IBOutlet UILabel* totalLabel;
@property (retain) IBOutlet UILabel* pointLabel;

@property (retain) IBOutlet UILabel* dieLabel1;
@property (retain) IBOutlet UILabel* dieLabel2;

@property (retain) IBOutlet UILabel* anteLabel;
@property (retain) IBOutlet UISlider* anteSlider;


- (IBAction)rollPressed;
- (IBAction)sliderMoved:(UISlider *)sender;

@end

